package com.muyu.common.core.validation.custom;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author: DongZeLiang
 * @date: 2024/7/31
 * @Description: validation自定义系统字典校验
 * @Version: 1.0
 */
@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = {SystemYsNoValidator.class})
public @interface IsSystemYesNo {
    String message() default "数据字典：[系统是否] - 参数不合法";
    Class<?>[] groups() default { };
    Class<? extends Payload>[] payload() default { };

}
